Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.collections
Class EmptyEnumeration

    java.lang.Object
      org.apache.tomcat.util.collections.EmptyEnumeration

All Implemented Interfaces:
  java.util.Enumeration

public class EmptyEnumeration
extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`EmptyEnumeration()`

Method Summary
`static java.util.Enumeration` | `getEmptyEnumeration()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyEnumeration

    public EmptyEnumeration()

Method Detail

### getEmptyEnumeration

    public static java.util.Enumeration getEmptyEnumeration()

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.